Hi!

I have noticed the previous threads about problems with ri in the 
upcoming 1.8.5. Today I tried ri myself using a fresh CVS-checkout of 
the "ruby_1_8" branch.

There seem to be quite a number of problems. I don't know if some of 
them are "wellknown" and considered unimportant to fix in 1.8.5. But it 
seems to me that it would be a good idea to fix some of them before the 
1.8.5 release.

Below is a list of things I found. I mention some things only once, even 
if it reappears in severals classes.

/Johan Holmberg

------------------------------------------------------------------------

ri Array
--------

- "each_cons", "each_slice", "enum_cons", "enum_slice",
   "enum_with_index" are *not* members of the included Enumerable
   (they are defined in the "enumerator" library)

- "pretty_print", "pretty_print_cycle" are *not* members of Array
   (they are defined in the "pp" library)

- there is no method "quote"

- "to_yaml", "yaml_initialize" are *not* members of Array

- what is "dclone" ???


ri Bignum
---------

- operators "/" and "**" mentioned twice

- there is no method "power!" (but see library "rational")


ri Dir
------

- garbage intro text for class

ri Errno
--------

- garbage text for class

ri File
-------

- garbage intro text for class


ri String
---------

- methods & constants from several others source (that re-open String)


ri Time
-------

- garbage intro text for class

------------------------------------------------------------------------